# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'taptempo.ui'
#
# Created: mié nov 23 15:55:20 2005
#      by: The PyQt User Interface Compiler (pyuic) 3.14.1
#
# WARNING! All changes made in this file will be lost!


from qt import *


class TapTempo(QDialog):
    def __init__(self,parent = None,name = None,modal = 0,fl = 0):
        QDialog.__init__(self,parent,name,modal,fl)

        if not name:
            self.setName("TapTempo")

        self.setSizeGripEnabled(0)

        TapTempoLayout = QVBoxLayout(self,11,6,"TapTempoLayout")

        layout15 = QVBoxLayout(None,0,6,"layout15")

        self.trackName = QLabel(self,"trackName")
        self.trackName.setAlignment(QLabel.WordBreak | QLabel.AlignVCenter)
        layout15.addWidget(self.trackName)
        TapTempoLayout.addLayout(layout15)

        layout8 = QHBoxLayout(None,0,6,"layout8")

        layout8_2 = QVBoxLayout(None,0,6,"layout8_2")

        self.buttonCue = QPushButton(self,"buttonCue")
        self.buttonCue.setDefault(1)
        layout8_2.addWidget(self.buttonCue)

        self.buttonTap = QPushButton(self,"buttonTap")
        self.buttonTap.setEnabled(0)
        self.buttonTap.setDefault(0)
        layout8_2.addWidget(self.buttonTap)
        spacer6 = QSpacerItem(20,40,QSizePolicy.Minimum,QSizePolicy.Expanding)
        layout8_2.addItem(spacer6)
        layout8.addLayout(layout8_2)

        layout7 = QGridLayout(None,1,1,0,6,"layout7")
        spacer3 = QSpacerItem(20,16,QSizePolicy.Minimum,QSizePolicy.Expanding)
        layout7.addItem(spacer3,2,0)

        self.buttonGroup3 = QButtonGroup(self,"buttonGroup3")
        self.buttonGroup3.setColumnLayout(0,Qt.Vertical)
        self.buttonGroup3.layout().setSpacing(6)
        self.buttonGroup3.layout().setMargin(11)
        buttonGroup3Layout = QGridLayout(self.buttonGroup3.layout())
        buttonGroup3Layout.setAlignment(Qt.AlignTop)

        self.useEstimatedNewTempo = QRadioButton(self.buttonGroup3,"useEstimatedNewTempo")
        self.useEstimatedNewTempo.setEnabled(1)
        self.useEstimatedNewTempo.setChecked(0)

        buttonGroup3Layout.addWidget(self.useEstimatedNewTempo,0,0)

        self.useNearestHarmonicTempo = QRadioButton(self.buttonGroup3,"useNearestHarmonicTempo")
        self.useNearestHarmonicTempo.setEnabled(1)
        self.useNearestHarmonicTempo.setChecked(1)

        buttonGroup3Layout.addWidget(self.useNearestHarmonicTempo,1,0)

        self.estimatedNewTempo = QLabel(self.buttonGroup3,"estimatedNewTempo")

        buttonGroup3Layout.addWidget(self.estimatedNewTempo,0,1)

        self.nearestHarmonicTempo = QLabel(self.buttonGroup3,"nearestHarmonicTempo")

        buttonGroup3Layout.addWidget(self.nearestHarmonicTempo,1,1)

        layout7.addMultiCellWidget(self.buttonGroup3,1,1,0,1)

        self.originalTempo = QLabel(self,"originalTempo")
        self.originalTempo.setSizePolicy(QSizePolicy(QSizePolicy.Expanding,QSizePolicy.Preferred,0,0,self.originalTempo.sizePolicy().hasHeightForWidth()))

        layout7.addWidget(self.originalTempo,0,1)

        self.textLabel2 = QLabel(self,"textLabel2")
        self.textLabel2.setSizePolicy(QSizePolicy(QSizePolicy.Minimum,QSizePolicy.Preferred,0,0,self.textLabel2.sizePolicy().hasHeightForWidth()))

        layout7.addWidget(self.textLabel2,0,0)
        layout8.addLayout(layout7)
        TapTempoLayout.addLayout(layout8)

        layout4 = QHBoxLayout(None,0,6,"layout4")
        spacer4 = QSpacerItem(40,20,QSizePolicy.Expanding,QSizePolicy.Minimum)
        layout4.addItem(spacer4)

        self.buttonCancel = QPushButton(self,"buttonCancel")
        layout4.addWidget(self.buttonCancel)

        self.buttonApply = QPushButton(self,"buttonApply")
        self.buttonApply.setEnabled(0)
        layout4.addWidget(self.buttonApply)
        TapTempoLayout.addLayout(layout4)

        self.languageChange()

        self.resize(QSize(520,187).expandedTo(self.minimumSizeHint()))
        self.clearWState(Qt.WState_Polished)

        self.connect(self.buttonTap,SIGNAL("clicked()"),self.tap)
        self.connect(self.buttonCancel,SIGNAL("clicked()"),self.reject)
        self.connect(self.buttonApply,SIGNAL("clicked()"),self.accept)
        self.connect(self.buttonCue,SIGNAL("clicked()"),self.cue)


    def languageChange(self):
        self.setCaption(self.__tr("Tempo adjustment"))
        self.trackName.setText(self.__tr("To adjust the tempo of:"))
        self.buttonCue.setText(self.__tr("1. &Play this track in amaroK now"))
        self.buttonCue.setAccel(self.__tr("Alt+P"))
        QWhatsThis.add(self.buttonCue,self.__tr("Click this button to listen to the selected track and tap its tempo.\n"
"\n"
"Once you accept or cancel this dialog box, the originally played track will be restored exactly as you left it, and the play counter and score will also be restored to their original values."))
        self.buttonTap.setText(self.__tr("2. &Hit me to the rhythm of the track!"))
        self.buttonTap.setAccel(self.__tr("Alt+H"))
        QWhatsThis.add(self.buttonTap,self.__tr("Tap this button (preferably using the ENTER key on your keyboard) to the rhythm of the music.  After a few taps, you'll see the real tempo appear below.  The more you tap, the more accurate the calculation will be.\n"
"\n"
"If the track had an originally detected tempo, the accuracy of the new tempo won't be affected by the accuracy of the taps (unless they are extremely inaccurate)."))
        self.buttonGroup3.setTitle(self.__tr("Tempo to store"))
        self.useEstimatedNewTempo.setText(self.__tr("&Estimated new tempo:"))
        self.useEstimatedNewTempo.setAccel(self.__tr("Alt+E"))
        QWhatsThis.add(self.useEstimatedNewTempo,self.__tr("Select this option to have Smart DJ store the new tempo estimation be stored as the tempo for this track."))
        self.useNearestHarmonicTempo.setText(self.__tr("&Nearest harmonic tempo:"))
        self.useNearestHarmonicTempo.setAccel(self.__tr("Alt+N"))
        QWhatsThis.add(self.useNearestHarmonicTempo,self.__tr("If the original tempo for this track was determined by Smart DJ, the nearest harmonic tempo is the most accurate measure of tempo possible, even more than the estimated new tempo.\n"
"\n"
"Select this option to have Smart DJ store the nearest harmonic tempo be stored as the tempo for this track.  This option is only available when Smart DJ has already analyzed the tempo of this track."))
        self.estimatedNewTempo.setText(self.__tr("(unknown yet)"))
        self.nearestHarmonicTempo.setText(self.__tr("(unknown yet)"))
        self.originalTempo.setText(self.__tr("(unknown yet)"))
        self.textLabel2.setText(self.__tr("Original tempo:"))
        self.buttonCancel.setText(self.__tr("&Cancel"))
        self.buttonCancel.setAccel(self.__tr("Alt+C"))
        self.buttonApply.setText(self.__tr("&Save and close"))
        self.buttonApply.setAccel(self.__tr("Alt+S"))


    def tap(self):
        print "TapTempo.tap(): Not implemented yet"

    def cue(self):
        print "TapTempo.cue(): Not implemented yet"

    def __tr(self,s,c = None):
        return qApp.translate("TapTempo",s,c)
